Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003486TestLinkasimon_thesispublic2010-05-25 11:062010-07-02 18:35
ReporterFalcon1 
Assigned Toasimon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003486: In the execute page, tree doesn't update when you change "Test Plan" in the "Setting" panel
DescriptionIf you have two test plan with two different builds (or more) for each Test Plan, in the execute page when you change Test Plan in the Setting panel and then you click on a test case in the tree, although Update tree after every operation is checked the build doesn't update. So if you save an execution for that test case the build saved on database can be wrong (see 0003451:0010142)
Steps To Reproduce- Create Test Plan Test01 (make it Active and Public) with one test suite (for example TS01) that has two test cases (for example TC01 and TC02). Add these test cases to Test Plan Test01.
- Create Test Plan Test02 copying from Test Plan Test01.
- Create two builds for Test Plan Test01 (for example 1.0.0 and 1.1.0) and two other builds for Test Plan Test02 (for example 2.0.0 and 2.1.0).
- Choose Test Plan Test01 in the section Current testplan: of the main page.
- Click on Execute: in the Setting panel the Test Plan must be Test01 and the Build to execute must be 1.0.0. Check the option Update tree after every operation if unchecked.
- Click on the first test case of the tree (in this example TC01): in the main screen you can see the information about that test case, with correct build version.
- Change the Test Plan in the Setting panel and choose Test Plan Test02. The combo Build to execute will be update correctly to build 2.0.0.
- Without clicking any other button or option, click again on the first test case of the tree (in this example TC01): in the main screen you can see that the information about the build is wrong. If you save the execution, in the database the result will be saved with the wrong build.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003451closedasimon In the "Test reports and Metrics" -> "Test report" the "Last Result" is always "Not Run" 

-  Notes
(0010144)
fman (administrator)
2010-05-25 18:06

Reminder sent to: asimon

would you mind to give a look ?
(0010152)
asimon (developer)
2010-05-26 06:33

This belongs to my work, I'll take care of this error while refactoring.
(0010426)
asimon (developer)
2010-06-25 11:20

Solved in CVS. Please retest with next available beta version, feel free to reopen issue if needed.
(0010477)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-25 11:06 Falcon1 New Issue
2010-05-25 18:06 fman Note Added: 0010144
2010-05-25 18:08 fman Relationship added related to 0003451
2010-05-25 18:09 fman Relationship added related to 0003487
2010-05-26 06:33 asimon Note Added: 0010152
2010-05-26 06:33 asimon Assigned To => asimon
2010-05-26 06:33 asimon Status new => assigned
2010-05-26 16:00 asimon Category Test Execute => asimon_thesis
2010-06-25 11:20 asimon Note Added: 0010426
2010-06-25 11:20 asimon Status assigned => resolved
2010-06-25 11:20 asimon Fixed in Version => 1.9 Beta 5
2010-06-25 11:20 asimon Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010477
2010-07-02 18:35 fman Status resolved => closed
2010-07-23 14:54 asimon Relationship deleted related to 0003487



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker